package com.microservices.zone.project.domain.vo;

import com.microservices.common.core.utils.bean.BeanUtils;
import com.microservices.zone.project.domain.ZoneProject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author otto
 */

@Data
@ApiModel("项目聚合前台更新对象")
public class ZoneProjectFrontUpdateVo {
    @ApiModelProperty(value = "聚合项目类型")
    @NotNull
    protected Long projectTypeId;


    public ZoneProjectUpdateVo toZoneProjectUpdateVo() {
        ZoneProjectUpdateVo zoneProjectUpdateVo = new ZoneProjectUpdateVo();
        BeanUtils.copyProperties(this, zoneProjectUpdateVo);
        return zoneProjectUpdateVo;
    }
}
